import images from '@/assets/images/images';
import InnerPageBanner from '@/components/layout/innerPages/banner';
import ProjectsGrid from '@/components/pages/project/ProjectGrid';
import { IPageParams } from '@/models/layout';
import { getTranslations } from 'next-intl/server';

export default async function Projects({ params }: { params: IPageParams }) {
  const { locale } = await params;
  const t = await getTranslations({ locale });

  return (
    <main className="flex flex-col items-center justify-between">
      <InnerPageBanner
        title={t('pages_projects_title')}
        imageSrc={images.blogBanner.src}
      />

      <ProjectsGrid />
    </main>
  );
}
